
=== Changelog for the Simple Custom CSS & JS Pro plugin ===

= 4.41.1 =
* 10/20/2025
* Fix: PHP warning on multi-site WordPress installations
* Fix: preprocess the SASS/LESS custom codes intended for internal loading in the Block editor

= 4.41 =
* 10/06/2025
* Tweak: update the CodeMirror library to the 5.65.20 version
* Fix: change the loading method in the Block editor to the recommended "enqueue_block_assets"

= 4.40 =
* 02/19/2025
* Fix: the editor doesn't show up under certain conditions
* Fix: don't show the code excerpts in the list table, if the "Extended View" option is enabled for posts or pages
* Update the composer libraries
* Feature: add the "ccj_preprocessor_import_paths" filter for adding custom directory paths when importing SASS or LESS files

= 4.39
* 11/15/2024
* Fix: add nuance for the "in Block editor" option for websites with WP before v6.6 and after

= 4.38 =
* 09/24/2024
* Feature: add JS/CSS custom codes to the Block editor
* Fix: show the handle for resizing the editor along the height

= 4.37 =
* 05/28/2024
* Fix: filter the allowed custom codes for the page only if there is a valid list of allowed custom codes
* Fix: use the GMT time for showing when a custom code was published or modified
* Tweak: remove the kebab-case rule from the CSS linting
* Tweak: load the SASS preprocessor only when saving SASS custom codes

= 4.36 =
* 02/06/2024
* Tweak: replace the CSSLint library with the https://github.com/stylelint/stylelint library
* Tweak: update the JSHint library

= 4.35 =
* 11/13/2023
* Fix: remove the qTranslate-x warning. The qTranslate-x plugin was removed from wp.org since Aug 2021
* Tweak: update the Bootstrap and jQuery library links

= 4.34 =
* 06/07/2023
* Feature: add the Wikimedia's library for preprocessing the Less code
* Compatibility with the WooCommerce "Custom Order Tables" feature

= 4.33 =
* 05/03/2023
* Fix: custom codes don't show up on frontend if a "network-wide" option is enabled

= 4.32 =
* 03/14/2023
* Fix: build the "custom-css-js-urls" array also after the license key was deactivated
* Fix: PHP8.1 deprecation notices
* Fix: after adding a JS/HTML custom code with empty content will show the CSS default message in the editor

= 4.31 =
* 01/17/2023
* Feature: multiple values for the "Where in site" option
* Fix: show the completion hints also when the editor is in the fullscreen mode
* Fix: the "LH Archived Post Status" plugin was removing the "Publish" button on the add/edit custom code page

= 4.30 =
* 10/12/2022
* Feature: enqueue the jQuery library if one of the JS custom codes requires it
* Feature: code folding in the editor
* Tweak: update the "scssphp/scssphp" library to the latest 1.11.0 version

= 4.29 =
* 06/14/2022
* Fix: if the "File Renaming on Upload" plugin is installed, then don't rename the files with the 'css', 'js', 'html' extensions
* Fix: update CSS linter to allow comma in CSS pseudo-selectors and allow custom properties
* Feature: save the custom code upon "Ctrl-S" in the editor

= 4.28 =
* 03/22/2022
* Tweak: update the EDD Plugin Updater library
* Tweak: add instructions about the "JS Linting Options" to the Help screen
* Fix: check for the scssphp library's version. If another plugin loads an older version of scssphp, where the 'compileString' method is missing, then an error is shown

= 4.27 =
* 02/05/2022
* Tweak: compile SASS code with the "scssphp/scssphp" library for PHP>7.2
* Fix: show the SASS/LESS compiling errors after clicking the "Publish/Update" button
* Fix: allow a query component in the preview page's URL

= 4.26 =
* 11/24/2021
* Fix: escape labels on the "Add new custom code" page
* Fix: the URL matching is now done on the encoded and decoded version of the URL
* Tweak: update the matthiasmullie/Minify library to the latest Jul 2021 commit
* Feature: Keep the last cursor position in the editor and let the editor get focus when the page loads

= 4.25 =
* 06/07/2021
* Fix: linting SASS - allow "!important" rule and tabs as indentation
* Fix: catch and show the throwable errors and exceptions from WP Conditional Tags in the admin
* Tweak: when a SASS partial is saved, the SASS code that imports the partial needs to be compiled to CSS
* Tweak: add the "ccj_code_editor_settings" filter for modifying the editor's options

= 4.24 =
* 03/11/2021
* Fix: allow the TablePress plugin to load its JS files on the "Add custom code" page in admin
* Fix: fatal error with PHP8.0
* Update the JSHint library to to v2.12.0

= 4.23 =
* 02/01/2021
* Feature: add "Allow custom JS codes to the login page in subsites" option on multisite WP installations for the super admin
* Tweak: small adjustments for compatibility with PHP 8.0 and jQuery 3.5.1
* Fix: before loading the Minify class check if it already loaded 

= 4.22 =
* 11/07/2020
* Fix: add SameSite attribute to the theme cookie
* Fix: don't load the theme.css file in the backend
* Fix: the "Apply only on these Pages" rules are case-insensitive, just like the WordPress permalinks

= 4.21.4 =
* 10/02/2020
* Fix: error when filtering the custom codes
* Fix: incompatibility with the Max Mega Menu plugin

= 4.21.3 =
* 08/20/2020
* Fix: remove the "variable-no-property" and "no-ids" rules from SASS linting
* Fix: add "Cmd + " editor shortcuts for MacOS computers
* Fix: the user language preferrence was ignored in favor of the site defined language
* Fix: allow the jQuery library added by plugins like Enable jQuery Migrate Helper or Test jQuery Updates
* Fix: permalink was not editable with WordPress 5.5

= 4.21.2 =
* 07/14/2020
* Fix: use file_get_contents instead of include_once to load the custom codes

= 4.21 =
* 07/08/2020
* Feature: "Ctrl + /" in the editor will comment out the code
* Feature: order custom codes table by "type" and "active" state
* Fix: shortcodes not working on subsites from multisite installations

= 4.20.3 =
* 06/06/2020
* Fix: PHP warning if empty string is used in a "URL starts with ..." rule

= 4.20.2 =
* 05/31/2020
* Fix: compatibility issue with the Product Slider for WooCommerce by ShapedPlugin
* Fix: PHP warning in case the $_SERVER['REQUEST_URI'] variable is missing

= 4.20.1 =
* 05/07/2020
* Fix: HTML code set to "Both" devices doesn't show up on mobile devices
* Check and declare compatibility with WC4.1

= 4.20 =
* 04/24/2020
* Feature: don't show type attribute for script and style tags if the theme adds html5 support for it
* Code refactory
* Fix: the permalink was mistakingly showing a ".css" file extension when being edited

= 4.19 =
* 03/19/2020
* Check and declare compatibility with WC4.0
* Check and declare compatibility with WP5.4

= 4.18 =
* 02/02/2020
* Feature: color the matching brackets in the editor
* Fix: date Published and Modified date wasn't shown in Japanese

= 4.17 =
* 12/19/2019
* Fix: codes limited only to homepage were showing on all the pages
* Feature: editor autocomplete on keyup
* Feature: add "After <body> tag" option for HTML codes, if the theme allows it 

= 4.16.1 =
* 11/05/2019
* Declare compatibility with WP5.3 and WC3.8

= 4.16 =
* 10/23/2019
* Fix: preview wasn't working under certain conditions

= 4.15 = 
* 10/02/2019
* Feature: Linting for SASS code
* Feature: permalink slug for custom codes

= 4.14 =
* 09/08/2019
* Compatibility with the "CMSMasters Content Composer" plugin
* Option: remove the comments from the HTML

= 4.13 =
* 05/08/2019
* Fix: remove the CodeMirror library added from the WP Core
* Tweak: use protocol relative urls for custom code linked file
* Declare compatibility with WordPress 5.2

= 4.12 =
* 04/21/2019
* Tweak: rename "First Page" to "Homepage" to avoid misunderstandings 
* Add CCJ_WP_CONDITIONALS constant that turns off the WP Conditional Tags from being executed
* Fix: update the Bootstrap library used in the admin side to 3.4.1 version

= 4.11 =
*  03/09/2019
* Fix: avoid conflicts with other plugins that use CodeMirror as their editor

= 4.10 =
* 12/07/2018
* Fix: the Edit Custom Code page was blank for WordPress 5.0 and the Classic Editor enabled

= 4.9 =
* 09/10/2018
* 10/09/2018
* Feature: add the add/edit/delete custom post capabilities to the admin and 'css_js_designer' roles on plugin activation
* Fix: add to the admin the capabilities of the custom-css-js custom post

= 4.8 =
* 09/04/2018
* Fix: rebuild the custom-css-js-tree when activating the pro version, otherwise some HTML codes don't show up in the frontend
* Fix: keep the editor LTR even on RTL websites
* Fix: catch the syntax errors from WP Conditional Tags
* Fix: on multi-site installations any HTML code from the subsite was replaced with one from the main site 

= 4.7 =
* 07/13/2018
* New: allow importing one custom code from another for Less/SASS CSS codes
* Fix: PHP warning at "Apply only on these Pages" if the JSON is not properly formatted
* Fix: the default comment for JS for other locales than "en_" was removing the <scripts> tags
* Tweak: add some missing translations
* Tweak: make the search dialog persistent
* Tweak: use default codemirror.js scrollbar style instead of "simple" in order to avoid conflicts with other plugins
* New: allow shortcodes in a custom HTML code

= 4.6 =
* 05/15/2018
* Tweak: hide the license key on the Settings page
* Tweak: design the custom codes table for screens smaller than 786px
* Fix: check all the functions if exists before declaring them
* Fix: the time accounts also for the timezone

= 4.5 =
* 04/15/2018
* Fix: PHP warning when displaying time for PHP 7.2.x
* Tweak: use the CSS and JS minifier from Matthias Mullie 
* Fix: remove ";" character from the "WP Conditional Tags"
* Tweak: compatibility with WP Quads Pro plugin

= 4.4 =
* 03/28/2018
* Fix: the codes table was squeezed to 70% of the screen width
* Fix: it was impossible to turn off the "Apply network wide" option 
* Change: check the option name against an array of allowed values
* Tweak: tinyMCE menu, add "No shortcodes defined" message
* Tweak: show the network defined shortcodes in the tinyMCE menu
* Tweak: show an "Network wide" icon in the table of custom codes

= 4.3 =
* 03/10/2018
* Fix: deleting a rule from "Apply on these pages" was mistakenly deleting two rule
* Fix: date format on the Custom Codes table list
* Tweak: redesign the Settings page
* Tweak: show more information about the license

= 4.2 =
* 02/20/2018
* Fix: error undefined ccj_editor_theme
* Tweak: show notice to uninstall the free version

= 4.1 =
* 02/16/2018
* Fix: use the `login_init` hook for the login page

= 4.0 =
* 02/11/2018
* Feature: Network-wide custom codes
* Option "Use HTTPS for the main site" for MultiSite installations
* Fix: change syntax highlighting for Less and Sass
* Tweak: for post.php and post-new.php page show code's title in the page title
* Fix: allow admin stylesheets from ACF plugin, otherwise it breaks the post.php page
* Feature: lint on editor

= 3.15 =
* 01/23/2018
* Tweak: "Apply only on these Pages" accepts also absolute URLs
* Tweak: add Editor Shortcuts to the Help area
* Feature: auto close brackets for the editor
* Feature: autocomplete on Ctrl + Space

= 3.14 =
* 01/15/2018
* Feature: add the "Encode the HTML tags" option

= 3.13 =
* 01/12/2018
* Feature: add the "Keep the HTML entities, don't convert to its character" option

= 3.12 =
* 01/08/2018
* Fix: https://wordpress.org/support/topic/footer-code-position-before-external-scripts-is-overridden/
* Fix: https://wordpress.org/support/topic/annoying-bug-in-text-editor/

= 3.11 =
* 03/01/2018
* 01/03/2018
* Feature: add filter by code type 
* Feature: make the 'Modified' column sortable
* Fix: https://wordpress.org/support/topic/broken-layout-of-code-snippet-type-color-tag-css-html-js-on-main-list-table/
* Fix: if the default comment remains in the "Add Custom JS", then there was no 'script' tags added to the code, as the comment contained a 'script' tag

= 3.10 =
* 11/14/2017
* Fix: change the ids of the loaded assets in admin in order to avoid conflicts
* Fix: remove the iframe footer hook in order to avoid conflict with the `HTML Editor Syntax Highlighter` plugin
* Fix: for revisions set the modal with `top` instead of `margin-top`

= 3.9 =
* 10/19/2017
* Declare compatibility with WooCommerce 3.2 (https://woocommerce.wordpress.com/2017/08/28/new-version-check-in-woocommerce-3-2/)
* Fix: avoid conflicts with other plugins that implement the CodeMirror editor
* Update the CodeMirror library to the 5.28 version

= 3.8 =
* 09/29/2017
* Fix: "Apply only on these Pages: First Page" needs to use home_url() instead of get_option('home') for multi-site installations
* Fix: allow the "Please activate the license" meta box

= 3.7 =
* 09/07/2017
* Fix: compatibility with the CSS Plus plugin

= 3.6 =
* 08/06/2017
* Fix: show the preview also when there are no other codes defined
* Tweak: comment about linking an external JS

= 3.5 =
* 07/27/2017
* Feature: prepare the plugin for translation
* Tweak: show date according to the get_option('date_format')
* Fix: the Custom Codes table is responsive for narrower screens
* Fix: initialize the codes with `wp` on frontend and `init` on backend.

= 3.4 =
* 07/15/2017
* Fix: rename the EDD_SL_Plugin_Updater class to avoid conflicts with other plugins that update with this class
* Security fix according to VN: JVN#31459091 / TN: JPCERT#91837758
* Add activate/deactivate link to row actions and in Publish box
* Make the activate/deactivate links work with AJAX
* Feature: option for adding Codes to the Login Page

= 3.3 =
* 06/13/2017
* Fix: compatibility issue with the HTML Editor Syntax Highlighter plugin
* Fix: remove htmlentities in the editor

= 3.2 =
* 04/04/2017
* Fix: allow codes in the backend

= 3.1 =
* 12/22/2016
* Feature: use WP Conditional Tags to restrict code
* Feature: wrap the lines in the editor
* Feature: Beautify Code editor button
* Feature: Fullscreen editor button
* Fix: cURL error because the activation license was done on silkypress.com:80

= 3.0 =
* 11/07/2016
* Feature: shortcodes functionality for the HTML codes
* Check: compatibility with WordPress 4.7

= 2.9 =
* 11/03/2016
* Fix: when Toolset Types plugin was enabled, the editor lost the colors

= 2.8 =
* 10/16/2016
* Fix: add stripslashes before preprocessors or minifiers, not after
* Fix: on activation along the free version there was a warning because both plugins used the same CCJ_VERSION constant

= 2.7 =
* 10/14/2016
* Feature: keep the cursor position after saving
* Fix: for empty allowed_codes() the search_tree() was still printed

= 2.6 =
* 08/24/2016
* Feature: add HTML code
* Feature: choose priority for the codes

= 2.5 =
* 08/03/2016
* Feature: Search functionality for the editor
* Feature: add "Add CSS Code" and "Add JS Code" buttons in order to be consequent with the WP admin interface
* Fix: make the editor wrapper adapt as width to the editor's line numbers gutter
* Fix: adapt the editor wrapper theme to the editor's theme
* Fix: incompatibility with other plugins that load CodeMirror (https://wordpress.org/support/topic/almost-everything-disabled)
* Fix: show warning when qTranslate is activated (https://wordpress.org/support/topic/conflict-with-qtranslate-x-2)
* Compatibility with WP 4.6: the "Modified" column in the Codes listing was empty

= 2.4 =
* 07/01/2016
* Fix: PHP warning for no codes in the $allowed_codes array
* Feature: change the editor's scrollbar so it can be caught with the mouse

= 2.3 =
* 06/24/2016
* Feature: "Debug Info" tab to the settings in order to help debugging
* Fix: when the Allowed Codes is empty, the Search Tree was not filtered

= 2.2 =
* 06/12/2016
* Initial commit
